@extends('layout.main')
@section('content')

    <div class="sixteen wide tablet sixteen wide computer column ">
        <div class="ui segment">
            
            <h4 class="ui dividing header teal centered">REALIZAR UNA VENTA DESDE {{$proforma->tipo}} </h4>
            
            <form class="ui form" id="frmNuevo" autocomplete="off"> 
                
                <div class="inline four fields">
                    <div class="ten wide field">
{{--                         <a href="#" id="btn_modal_guia" title="Haga clic para abrir ventana para llenar datos de la guia de remision">Datos para Guia de Remisión</a>
 --}}                    </div>

                    <div class="field datos_comprobante" >
                        <input type="hidden" id="tipo_comprobante" name="id_tipo_comprobante" value="2">
                        <input type="hidden" id="tipo_documento" name="id_tipo_documento" value="2">
                        <input type="hidden" id="id_proforma" name="id_proforma" value="{{$proforma->id_proforma}} ">
                        <input type="hidden" id="descuento_global" name="descuento_global" value="0.00">
                        <input type="hidden" id="numero_cuotas" name="numero_cuotas" value="0">

                        <div class="ui fluid tiny black button pointing dropdown item" id="select_comprobante_venta">
                            <span class="text">BOLETA</span><i class="dropdown icon"></i>
                            <div class="menu border_shadow">
                                @foreach($tipo_comprobante as $data)
                                <div class="item" data-value="{{ $data->id_tipo_comprobante }}">{{ $data->nombre }}</div>
                                @endforeach 
                            </div>
                        </div>
  
                        <div class="ui large white label" id="serie_comprobante">{{ $serie }}</div>-
                        <div class="ui large white label" id="numero_comprobante">{{ $numero }}</div>             
                    </div>
                    <div class="two wide field"></div>
                </div>
                <br>

                <div class="four fields">
                    <div class="three wide field">
                        <div class="ui fluid large white label" id="tipo_doc">DNI</div>
                    </div>
                    <div class="three wide field">
                        <div class="ui action small input" >
                              <input type="text" id="numero_documento" name="numero_documento" value="{{ $proforma->numero_documento }}" placeholder="Buscar..." maxlength="8">
                              <div class="ui icon button" id="loading_doc" title="Clic para Consultar"><i class="search icon"></i>&nbsp;SUNAT</div>
                        </div>
                    </div>
                </div>

                <div class="three fields">
                    <div class="three wide field">
                        <div class="ui fluid large white label" id="nomb">Nombre del cliente</div>
                    </div>
                    <div class="eleven wide field">
                        <div class="ui small input">
                            <input type="text" id="nombre_cliente" name="nombre" value="{{ $proforma->nombre }}" maxlength="200" oninput="$.upperCase(this)">
                        </div>  
                    </div>

                    <div class="two wide field">
                        <div class="ui fluid small green button btn_buscar_cliente" title="Clic para ver lista de clientes registrados"><i class="search icon"></i>BUSCAR</div>
                    </div>
                </div>

                <div class="three fields">
                    <div class="three wide field">
                        <div class="ui fluid large white label">Direccion del cliente</div>
                    </div>
                    <div class="eleven wide field">
                        <div class="ui small input" id="dir_dis">
                            <input type="text" name="direccion" id="direccion" value="{{ $proforma->direccion }}" maxlength="200" oninput="$.upperCase(this)">
                        </div>  
                    </div>
                    <div class="two wide field">
                        <select class="ui fluid small input dropdown" name="tipo_pago">
                            <option value="EFECTIVO">Al Contado</option>
                            <option value="CREDITO">Al Credito</option>
                            {{-- <option value="TARJETA">Con Tarjeta</option> --}}
                            <option value="LIQUIDACION"  {{$proforma->tipo == "PEDIDO" ? "selected" : ""}}  >Liquidacion</option>
                        </select> 
                    </div>
                </div>

                

                <div class="five fields">
                    <div class="three wide field">
                        <div class="ui fluid large white label">Observacion</div>
                    </div>
                    <div class="eight wide field">
                        <div class="ui small input" id="dir_dis">
                            <input type="text" name="observacion" maxlength="200" oninput="$.upperCase(this)">
                        </div>  
                    </div>
                  
                    <div class="three wide field" id="fecha_pago" style="visibility: hidden;">
                        <div class="ui small input">
                            <input type="text" class="fecha_fut" name="fecha_pago" readonly placeholder="Fecha de vencimiento">
                        </div> 
                    </div> 
                </div>

                <br> <br>
               
               {{--  <br>
                <div class="ui divider"></div>  
                <br> --}}
                <div class="four fields">
                    <div class="three wide field">
                        <div class="ui fluid large white label">Buscar producto</div>
                    </div>
                    <div class="eight wide field">
                        <select class="ui small search selection" name="id_prod">
                            
                        </select> 
                    </div>
                    
                    <div class="three wide field">
                        <div class="ui icon small input" id="loading_input">
                            <input type="text" id="codigo_barras" maxlength="100" placeholder="CODIGO DE BARRAS" onkeyup="$.buscarCodigoBarras()">
                            <i class="search icon"></i>
                        </div> 
                    </div> 
                    <div class="two wide field">
                        <div class="ui fluid small green button btn_buscar_producto" title="Clic para ver lista de productos"><i class="search icon"></i>VER TODO</div>
                    </div>
                    
                    
                </div>

                <br>
                    
                <table class="ui celled table">
                    <thead>
                        <tr>
                            <th class="center aligned">Producto</th>
                            <th class="center aligned" data-tooltip="Cantidad a vender" data-position="top center" data-inverted="">Cantidad</th>
                            <th class="center aligned" data-tooltip="Precio de venta unitario" data-position="top center" data-inverted="">Precio S/</th>
                            {{-- <th class="center aligned" data-tooltip="Monto para descuento" data-position="top center" data-inverted="">Dscto S/</th>  --}}
                            <th class="center aligned">Subtotal S/</th>
                            <th class="center aligned">Acción</th>
                        </tr>
                    </thead>
                    <tbody id="tbody"></tbody>
                </table>

                <div class="form_footer">
                    <div class="ui labeled small input">
                        <label class="ui brown label">TOTAL  S/</label>
                        <input type="text" name="total_venta" id="total_venta" size="5" readonly style="width: 0%">
                    </div> &nbsp;&nbsp;
                    
                    <a href="#" class="btn_nuevo_producto">(+) Agregar nuevo producto</a>

                    <div class="ui right floated primary button btn_registrar"><i class="check icon"></i>REGISTRAR VENTA</div>

                    <div class="ui right floated  button  btn_calculadora">Calculadora</div>
                </div>

            </form>

        </div>
    </div>

    <!--start register modal -->
    <div class="ui small basic modal" id="register_modal">
        <div class="ui icon header"><i class="circular inverted white dollar sign icon"></i>Registrar Venta</div>
        <div class="content" style="text-align: center; font-size: 16px">
          <p>¿Desea realizar la venta de estos productos?</p>
        </div>
        <div class="actions">
            <div class="ui red basic cancel inverted button" title="Haga clic para salir"><i class="remove icon"></i>Cancelar</div>
            <div class="ui green ok inverted button" title="Haga clic para registrar venta"> <i class="checkmark icon"></i>Registrar</div>
        </div>
    </div>
    <!--end register modal -->

    <!--start nuevo producto modal -->
    <div class="ui modal" id="nuevo_producto_modal">
        <div class="header">Registrar Nuevo Producto</div>     
        <div class="content">
            <div class="ui disabled inverted dimmer" id="loader_producto">
                <div class="ui text loader">Procesando...</div>
            </div>
            <form class="ui form" id="frmNuevoProducto" autocomplete="off">
                
                <input type="hidden" name="id_tipo_presentacion" value="1">
                <input type="hidden" name="tipo_impuesto" value="IGV">
                <input type="hidden" name="tipo_producto" value="Generico">
                <input type="hidden" name="precio_compra" value="0.00">
                <div class="two fields">
                    <div class="twelve wide field">
                        <label>Nombre del Producto</label>
                        <div class="ui small input ">
                          <input type="text" name="nombre" maxlength="800" oninput="$.upperCase(this)">
                        </div>
                    </div>
                    <div class="four wide field">
                        <label>Precio de Venta</label>
                        <div class="ui labeled small input">
                            <label class="ui label">S/</label>
                            <input type="text" name="precio" maxlength="11">
                        </div>  
                    </div>
                </div>  
                <div class="four fields">
                    <div class="four wide field">
                        <label>Marca</label>
                        <div class="ui small input ">
                          <input type="text" name="descripcion" maxlength="100" oninput="$.upperCase(this)">
                        </div>
                    </div>
                    <div class="four wide field">
                        <label>Unidad de Medida</label>
                        <select class="ui small search selection dropdown" name="id_unidad_medida">
                            @foreach($unidad_medida as $unidad)
                                <option value="{{$unidad->id_unidad_medida}}">{{$unidad->nombre}} ({{$unidad->abreviatura}})</option>
                            @endforeach
                        </select>  
                    </div>
                    <div class="four wide field">
                        <label>Situacion Impuesto</label>
                        <select class="ui small search selection dropdown" name="situacion_impuesto">
                            <option value="AFECTO">Afecto</option>
                            <option value="INAFECTO">Inafecto</option>
                            <option value="EXONERADO">Exonerado</option>
                        </select>  
                    </div>
                    <div class="four wide field">
                        <label>Valor de Impuesto</label>
                        <div class="ui right labeled small input">
                            <input type="text" name="valor_impuesto" id="valor_impuesto" value="{{$empresa->valor_impuesto}}" maxlength="8" readonly>
                            <label class="ui label">%</label>
                        </div>  
                    </div>
                </div> 
            </form>
        </div>
        <div class="actions" >
            <div class="ui left floated black right labeled icon deny button" style="margin-bottom: 1em">Cerrar<i class="times icon"></i></div>
            <div class="ui right floated primary button btn_registrar_producto"><i class="plus icon"></i>AGREGAR</div>
        </div>
    </div>
    <!--end nuevo producto  modal --> 

    <!--start buscar producto modal -->
    <div class="ui standard large modal" id="buscar_producto_modal">
        <div class="header">Buscar Productos</div>
        <div class="scrolling content">
            <div class="ui disabled inverted dimmer" id="loader_busqueda">
                <div class="ui text loader">Procesando...</div>
            </div>
            <div class="ui action small input"  autocomplete="off">
                <input type="text" id="buscar_producto" name="buscar_producto" placeholder="Producto a buscar...">
                <div class="ui icon button" id="btn_buscar_prod" title="Clic para buscar"><i class="search icon"></i></div>
            </div> 
            <table class="ui celled striped table" id="tabla_productos">
                <thead>
                    <tr>
                        <th class="head_table">N°</th>
                        <th class="head_table">Cod Barras</th>
                        <th class="head_table">Producto</th>  
                        <th class="head_table">Stock</th>                  
                        <th class="head_table">Precio por MENOR S/</th>
                        <th class="head_table">Precio por MAYOR S/</th>
                    </tr>
                </thead>
                <tbody id="tbody_productos">
                   <?php /**/ $i = 1/**/ ?>
                    @foreach ($producto->sortBy('producto.nombre') as $row)
                    <tr data-table="{{ $row->id_producto }}">
                        <td>{{ $i }}</td>
                        <td>{{ $row->producto->codigo_barras }}</td>
                        <td>{{ $row->producto->nombre }} {{ $row->producto->descripcion }} </td>
                        <td>{{ $row->stock < 1000001 ? 'AGOTADO' : $row->stock - 1000000  }}</td>
                        <td>
                            <div class="ui mini vertical animated positive button btn_seleccionar_producto" title="Click para seleccionar este producto" data-id="{{ $row->id_producto }}" data-mayor="false">
                                <div class="hidden content">Añadir</div>
                                <div class="visible content">{{ $row->producto->precio }}</div>
                            </div>
                        </td>
                        <td>
                            @if($row->producto->precio_mayorista != null)
                                 @if($row->producto->precio_mayorista > 0)
                                <div class="ui mini vertical animated orange button btn_seleccionar_producto" title="Click para seleccionar este producto" data-id="{{ $row->id_producto }}" data-mayor="true">
                                    <div class="hidden content">Añadir</div>
                                    <div class="visible content">{{ $row->producto->precio_mayorista }}</div>
                                </div>
                                @endif
                            @endif
                        </td>
                    </tr>
                    <?php /**/ $i++ /**/ ?>
                    @endforeach
                </tbody>
            </table>
        </div>
        <div class="actions" >
            <div class="ui left floated red right labeled icon deny button" style="margin-bottom: 1em">Cerrar<i class="times icon"></i></div>
        </div>
    </div>
    <!--end buscar producto modal -->

        <!--start buscar cliente modal -->
    <div class="ui standard large modal" id="buscar_cliente_modal">
        <div class="header">Buscar Clientes</div>
        <div class="scrolling content">
  
            <div class="ui action small input"  autocomplete="off">
                <input type="text" id="buscar_cliente" name="buscar_cliente" placeholder="Cliente a buscar...">
                <div class="ui icon button" id="btn_buscar_cli" title="Clic para buscar"><i class="search icon"></i></div>
            </div> 
            <table class="ui celled striped table" id="tabla_clientes">
                <thead>
                    <tr>
                        <th class="head_table">N°</th>
                        <th class="head_table">Nombre</th>
                        <th class="head_table">Documento</th>
                        <th class="head_table">Numero</th>
                        <th class="head_table">Acciones</th>
                    </tr>
                </thead>
                <tbody id="tbody_clientes">
                   <?php /**/ $i = 1/**/ ?>
                    @foreach ($clientes as $row)
                    <tr data-table="{{ $row->id_cliente }}">
                        <td>{{ $i }}</td>
                        <td>{{ $row->nombre }}</td>
                        <td>{{ $row->tipo_documento->nombre }}</td>
                        <td>{{ $row->numero_documento}}</td>

                        <td>                            
                            <div class="ui mini vertical animated positive button btn_seleccionar_cliente" title="Seleccionar este cliente" data-nombre="{{ $row->nombre}}" data-documento="{{ $row->numero_documento }}" data-direccion="{{ $row->direccion }}">
                                <div class="hidden content">Elegir</div>
                                <div class="visible content"><i class="check icon"></i></div>
                            </div>
                        </td>
                    </tr>
                    <?php /**/ $i++ /**/ ?>
                    @endforeach
                </tbody>
            </table>
        </div>
        <div class="actions" >
            <div class="ui left floated red right labeled icon deny button" style="margin-bottom: 1em">Cerrar<i class="times icon"></i></div>
        </div>
    </div>
    <!--end buscar cliente modal -->

    <!--start calculadora modal -->    
    <div class="ui mini modal" id="calculadora_modal">
        <i class="close icon"></i>
        <div class="content" >

            <div style="text-align: center !important;">
                <div class="ui labeled small input">
                    <label class="ui grey label">EFECTIVO &nbsp;</label>
                    <input type="text" id="efectivo" size="5" style="width: 0%">
                </div> 
            </div>
            <br>
            <div style="text-align: center !important;">
                <div class="ui labeled small input">
                    <label class="ui brown label">A COBRAR&nbsp;</label>
                    <input type="text" id="total" size="5" readonly style="width: 0%">
                </div> 
            </div>
            <div class="ui divider"></div>
            <div style="text-align: center !important;">
                <div class="ui labeled small input">
                    <label class="ui violet label">VUELTO &nbsp; S/</label>
                    <input type="text" id="vuelto" size="5" readonly style="width: 0%">
                </div> 
            </div>


        </div>

    </div>
    <!--end calculadora modal -->

@stop


@section('scripts')
    
    <script src="{{ asset('js/proforma/venta.js') }}"></script>
    <script type="text/javascript">
        $(function () {
            $._requestApi('/proforma/getProductosById', {"id_proforma" : {!!$proforma->id_proforma!!} }, 'GET', function (resolve) {
                if (resolve) {

                    if (resolve.length > 0) {
                        for (var i = 0; i < resolve.length; i++) {
                            agregarTabla(resolve[i]);
                            @foreach ($detalle_proforma as $detalle)
                                if (resolve[i].id_producto ==  {!!$detalle->id_producto!!} ) {
                                    id_producto = {!!$detalle->id_producto!!};
                                    cant = {!!$detalle->cantidad!!};
                                    desc = {!!$detalle->descuento!!};
                                    $('#cant'+id_producto).val(cant);
                                    $('#desc'+id_producto).val(desc);
                                    calculaSubtotal(resolve[i].id_producto, resolve[i].producto.valor_impuesto);
                                    calcularTotal();
                                }
                            @endforeach
                        }
                    }
                }
            });    
        });
    </script>
@stop


