@extends('layout.main')
@section('content')

    <div class="sixteen wide tablet fourteen wide computer column ">
        <div class="ui segment">
            
            <h4 class="ui dividing header teal centered">REPORTE DE VENTAS POR PERSONAL</h4>
            <br>

            <form class="ui form" id="frmComprobante" autocomplete="off">

                {{-- <div class="three fields">
                    <div class="four wide field">
                        <div class="ui fluid large white label">Tienda o Sucursal</div>
                    </div>
                    <div class="eleven wide field">
                        <select class="ui fluid small input dropdown" name="id_local">
                            <option value="">Seleccione</option>

                            @foreach($locales as $local)
                               <option value="{{ $local->id_local }}"> {{ $local->nombre }} ({{ ucwords(mb_strtolower($local->direccion ))}})</option>
                            @endforeach
   
                        </select>  
                    </div>
                </div> --}}

                <div class="three fields">
                    <div class="four wide field">
                        <div class="ui fluid large white label">Personal</div>
                    </div>
                    <div class="eleven wide field">
                        <select class="ui small search selection dropdown" name="id_usuario">
                            

                            @if(Auth::guard("usuario")->user()->id_rol == 1 || Auth::guard("usuario")->user()->id_rol == 4 )
                                <option value="0">Todo el personal</option>
                                @foreach($usuarios as $data)
                                   <option value="{{ $data->id_usuario }}"> {{ ucwords(mb_strtolower($data->nombres)) }} {{ ucwords(mb_strtolower($data->apellidos)) }} ({{ $data->username }})</option>
                                @endforeach

                            @else

                                <option value="{{ Auth::guard('usuario')->user()->id_usuario}}"> {{ ucwords(mb_strtolower(Auth::guard('usuario')->user()->nombres)) }} {{ ucwords(mb_strtolower(Auth::guard('usuario')->user()->apellidos)) }} ({{ Auth::guard('usuario')->user()->username }})</option>

                            @endif 
   
                        </select>  
                    </div>
                </div>

                 <div class="three fields">
                    <div class="four wide field">
                        <div class="ui fluid large white label">Tipo de Pago</div>
                    </div>
                    <div class="four wide field">
                        <select class="ui fluid small input dropdown" name="tipo_pago">
                            <option value="EFECTIVO">EN EFECTIVO</option>
                            <option value="TARJETA">CON TARJETA</option>
                            <option value="CREDITO">AL CREDITO</option>
                            <option value="LIQUIDACION">LIQUIDACION</option>
                        </select>  
                    </div>
                    <div class="three wide field">
                        <div class="ui fluid large white label">Tipo de Transaccion</div>
                    </div>
                    <div class="four wide field">
                        <select class="ui fluid small input dropdown" name="tipo_transaccion" id="tipo_transaccion">
                            <option value="VENTA">VENTA</option>
                            <option value="PEDIDO">PEDIDO</option>
                        </select>  
                    </div>
                </div>

                <div class="four fields">
                    <div class="four wide field">
                        <div class="ui fluid large white label">Fecha Inicio</div>
                    </div>
                    <div class="field">
                        <div class="ui small input">
                            <input type="text" class="fecha_hora" name="fecha1">
                        </div> 
                    </div>
                    <div class="three wide field">
                        <div class="ui fluid large white label">Fecha Fin</div>
                    </div>
                    <div class="field">
                        <div class="ui small input">
                            <input type="text" class="fecha_hora" name="fecha2">
                        </div>  
                    </div>
                </div>

                

                <div class="form_footer">
                    <div class="ui right floated primary button btn_reporte_usuarios"><i class="download icon"></i>DESCARGAR EXCEL</div>
                </div>    
            </form>

            <br>
            <h4 class="ui dividing header teal centered">VENTAS DE HOY POR PERSONAL</h4>
            
            <table class="ui celled striped table">
                <thead>
                    <tr>
                        <th class="head_table">N°</th>
                        <th class="head_table">Personal</th>
                        <th class="head_table">DNI</th>
                        <th class="head_table">N° Ventas</th>
                        <th class="head_table">Monto S/</th>
                        <th class="head_table">Fecha de Venta</th>
                        <th class="head_table">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                   <?php /**/ $i = 1 /**/ ?>

                   <?php /**/ $ventas = 0 /**/ ?>
                   <?php /**/ $total = 0 /**/ ?>

                    @foreach ($consulta as $venta)
                    <tr data-table="{{ $venta->id_usuario }}">
                        <td>{{ $i }}</td>
                        <td>{{ $venta->nombres }} {{ $venta->apellidos }}</td>
                        <td>{{ $venta->dni }}</td>
                        <td>{{ $venta->ventas }}</td>
                        <td>{{ $venta->monto }}</td>
                        <td>{{ $venta->fecha_venta }}</td>
                        <td>                            
                            {{-- <div class="ui mini vertical animated positive button button_info_modal" title="Ver informacion detallada" data-id="{{ $venta->id_compra }}">
                                <div class="hidden content">Detalles</div>
                                <div class="visible content"><i class="search icon"></i></div>
                            </div> --}}
                            <a class="ui mini vertical animated blue button" title="Ver informacion detallada" href="{{ url('reporte/detalles/'.$venta->id_usuario) }}">
                                <div class="hidden content">Detalles</div>
                                <div class="visible content"><i class="search icon"></i></div>
                            </a>
                           {{--  <div class="ui mini vertical animated red button button_delete_modal" title="Eliminar registro" data-id="{{ $venta->id_compra }}">
                                <div class="hidden content">Eliminar</div>
                                <div class="visible content"><i class="trash alternate icon"></i></div>
                            </div> --}}
                      
                        </td>
                    </tr>
                    <?php /**/ $i++ /**/ ?>
                    <?php /**/ $ventas = $ventas + $venta->ventas  /**/ ?>
                   <?php /**/ $total = $total + $venta->monto  /**/ ?>

                    @endforeach
                    <tr>
                        <td colspan="3"> <b>TOTAL</b></td>
                        
                        <td><b>{{ $ventas }}</b></td>
                        <td><b>{{ $total  }}</b></td>
                        <td colspan="2"></td>
                       
                    </tr>
                </tbody>
              
            </table>

        </div>
    </div>
    
@stop

@section('scripts')
    <script src="{{ asset('js/reporte/comprobantes.js') }}"></script>
@stop


